#include "global.h"
#include "DS1620.h"
#include "lcd.h"
#include "timer.h"
#include "interrupt.h"

void AusgabeTemp();

const char text0[] = " Test M16C62 Board";

void main()
{
	iclr();
	InitInterrupt();
	Initlcd();
	InitTimer();
	iset();
	pd10_1=0;
	pd10_3=1;
	pd10_5=1;
	pu24=1;
	pu25=1;
	lcd_print(text0,0,10);
	StartTA0();
	{
		char buf[20];
		sprintf(buf,"%d",ReadConfig());
		lcd_print(buf,0,1);
	}
	StartTemp();
	while(1)
	{
		if(time>2000)
		{
			AusgabeTemp();		
			time=0;
		}
	}
}

void AusgabeTemp()
{
	char buf[50];
	float temp;
	temp=(float)GetTemp();
	temp/=2;
	sprintf(buf,"T: %.1f T: %d T: %.1f Ti: %d",temp,timing,temp,timing);
	timing=0;
	lcd_print(buf,0,0);
}
